[java-atk-wrapper/wip] Build: do not repeat autoreconf check



commit b0eba0757cecd44a45cdba421c25277e6908d4bd
Author: Magdalen Berns <m berns thismagpie com>
Date:   Mon Jun 22 15:17:43 2015 +0100

    Build: do not repeat autoreconf check
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=751325

 autogen.sh |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 725d15e..9ad1327 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,6 +13,8 @@ AUTORECONF=`which autoreconf`
 if test -z $AUTORECONF; then
         echo "*** No autoreconf found, please intall it ***"
         exit 1
+else
+  autoreconf -vif || exit $?
 fi
 
 PKGCONFIG=`which pkg-config`
@@ -32,13 +34,5 @@ fi
 # regenerated from their corresponding *.in files by ./configure anyway.
 touch README INSTALL
 
-AUTORECONF=`which autoreconf`
-if test -z "$AUTORECONF"; then
-  echo "*** No autoreconf found, please install it ***"
-  exit 1
-else
-  autoreconf -vif || exit $?
-fi
-
 cd "$olddir"
 test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]